summaryrefslogtreecommitdiff
path: root/recipes
diff options
context:
space:
mode:
authorMax Krummenacher <max.krummenacher@toradex.com>2016-07-03 12:42:19 +0200
committerDominik Sliwa <dominik.sliwa@toradex.com>2016-08-17 14:08:04 +0200
commit2817e8b5f44d37bdc0101693d647d3ed7779e3ef (patch)
tree6f85414bb362d41d0b019edff329296c2b2c94d3 /recipes
parentec0562c7099148d1502cb4f58858f188f9601f48 (diff)
update.sh: fix parameter to force module type
The script fails when -m is given but rootfs/etc/issue fails to provide the version info. While at it correct wrong text output on i.MX 6 based modules. Signed-off-by: Max Krummenacher <max.krummenacher@toradex.com> Acked-by: Dominik Sliwa <dominik.sliwa@toradex.com>
Diffstat (limited to 'recipes')
-rwxr-xr-xrecipes/images/files/colibri-imx7/update.sh2
-rwxr-xr-xrecipes/images/files/colibri-vf/update.sh2
-rwxr-xr-xrecipes/images/files/library/imx6/update.sh6
-rwxr-xr-xrecipes/images/files/library/tegra/update.sh2
4 files changed, 6 insertions, 6 deletions
diff --git a/recipes/images/files/colibri-imx7/update.sh b/recipes/images/files/colibri-imx7/update.sh
index 53f9391..13216d8 100755
--- a/recipes/images/files/colibri-imx7/update.sh
+++ b/recipes/images/files/colibri-imx7/update.sh
@@ -188,7 +188,7 @@ sudo touch ${BINARIES}/versions.txt
sudo chmod ugo+w ${BINARIES}/versions.txt
echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/u-boot.imx`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`grep MX7 rootfs/etc/issue`
+ROOTFSVERSION=`grep MX7 rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type
diff --git a/recipes/images/files/colibri-vf/update.sh b/recipes/images/files/colibri-vf/update.sh
index bf6dd5b..2c04342 100755
--- a/recipes/images/files/colibri-vf/update.sh
+++ b/recipes/images/files/colibri-vf/update.sh
@@ -202,7 +202,7 @@ sudo touch ${BINARIES}/versions.txt
sudo chmod ugo+w ${BINARIES}/versions.txt
echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/u-boot.imx`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`grep VF rootfs/etc/issue`
+ROOTFSVERSION=`grep VF rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type
diff --git a/recipes/images/files/library/imx6/update.sh b/recipes/images/files/library/imx6/update.sh
index 8d9d9ba..feca792 100755
--- a/recipes/images/files/library/imx6/update.sh
+++ b/recipes/images/files/library/imx6/update.sh
@@ -119,10 +119,10 @@ case $MODTYPE_DETECT in
fi
;;
1) MODTYPE=apalis-imx6
- echo "Apalis T30 rootfs specified"
+ echo "Apalis iMX6 rootfs specified"
;;
2) MODTYPE=colibri-imx6
- echo "Colibri T20 rootfs specified"
+ echo "Colibri iMX6 rootfs specified"
;;
*) echo "-m paramter specifies an unknown value"
exit 1
@@ -206,7 +206,7 @@ echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${U_BOOT_BINARY}`" >> ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${U_BOOT_BINARY_IT}`" >> ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/uImage`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`grep -i imx6 rootfs/etc/issue`
+ROOTFSVERSION=`grep -i imx6 rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type
diff --git a/recipes/images/files/library/tegra/update.sh b/recipes/images/files/library/tegra/update.sh
index 1229675..a844d12 100755
--- a/recipes/images/files/library/tegra/update.sh
+++ b/recipes/images/files/library/tegra/update.sh
@@ -325,7 +325,7 @@ touch ${BINARIES}/versions.txt
echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${U_BOOT_BINARY}`" >> ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${KERNEL_IMAGETYPE}`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`egrep -i 't([2-3]0|k1)' rootfs/etc/issue`
+ROOTFSVERSION=`egrep -i 't([2-3]0|k1)' rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type